Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class ExpressionWrapper

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.ExpressionWrapper

    public class ExpressionWrapper
    extends Object

This object wraps expressions in filter applications depending on options.

### Constructor Summary

Constructors
`ExpressionWrapper​(PushStream stream, List<Filter> filters, Set<String> knownExpressionOptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `adjustToContext​(Expression expression, MarkupContext context, ExpressionContext expressionContext)`
`Expression` `transform​(Interpolation interpolation, MarkupContext markupContext, ExpressionContext expressionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionWrapper

    public ExpressionWrapper​(PushStream stream,
                             List<Filter> filters,
                             Set<String> knownExpressionOptions)

### Method Detail

#### transform

    public Expression transform​(Interpolation interpolation,
                                MarkupContext markupContext,
                                ExpressionContext expressionContext)

#### adjustToContext

    public Expression adjustToContext​(Expression expression,
                                      MarkupContext context,
                                      ExpressionContext expressionContext)